> For the complete documentation index, see [llms.txt](https://docs.hyperswitch.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyperswitch.io/integration-guide/workflows/3ds-decision-manager/import-3d-secure-results.md).

# Import 3D Secure results

Process payments when 3D Secure runs outside Juspay Hyperswitch

Importing 3DS results is an advanced payment flow that enables you to use external 3DS authentication with your **Juspay Hyperswitch** payments. Instead of running authentication within Hyperswitch, you can pass the completed authentication outcome directly into the payment flow.

This approach is required when you use a third party provider to perform 3DS. In such cases, you can submit the card details and authentication cryptogram directly through the [Payment Create API](https://api-reference.hyperswitch.io/v1/payments/payments--create#body-three-ds-data), rather than relying on Hyperswitch SDK to collect payment information and execute 3DS.

### Process a payment

1. Make a [Payments Create API](https://api-reference.hyperswitch.io/v1/payments/payments--create#body-three-ds-data) call with the external 3d Secure (3DS) data

```javascript
// Pass the authentication data in the Payments Create call
 "three_ds_data": {
        "authentication_cryptogram": {
            "cavv": {
                "authentication_cryptogram": "3q2+78r+ur7erb7vyv66vv////8="
            }
        },
        "ds_trans_id": "c4e59ceb-a382-4d6a-bc87-385d591fa09d",
        "version": "2.1.0",
        "eci": "05",
        "transaction_status": "Y",
        "exemption_indicator": "low_value"
    }
```

2. All [standard payment flows](/integration-guide/payment-suite/payments.md) are supported even when you import external 3DS results


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hyperswitch.io/integration-guide/workflows/3ds-decision-manager/import-3d-secure-results.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
